<!-- Based on fast/repaint/paint-caret-in-div-with-negative-indent.html -->
<!DOCTYPE html>
<html>
  <head>
    <style>
      #editable {
        font: 20px/1 Ahem;
        width: 50px;
        height: 1em;
        margin-left: 500px;
        margin-top: 200px;
        background: green;
        text-indent: -150px;
        outline: none;
      }
    </style>
    <script src="resources/paint-invalidation-test.js" type="text/javascript"></script>
    <script type="text/javascript">
    if (window.testRunner)
        testRunner.dumpAsTextWithPixelResults();
    window.expectedPaintInvalidationObjects = [
        "LayoutBlockFlow DIV id='editable'",
    ];
    function paintInvalidationTest() {
        document.getElementById('editable').focus();
    }
    </script>
</head>
<body onload="runPaintInvalidationTest();">
    <div id="editable" contenteditable="true"></div>
</body>
</html>
